javax.el

## Class BeanNameELResolver

- java.lang.Object
- - javax.el.ELResolver
  - - javax.el.BeanNameELResolver

-     public class BeanNameELResolver
      extends ELResolver

  Since:
    EL 3.0

- - ### Field Summary

    - ### Fields inherited from class javax.el.ELResolver

      `RESOLVABLE_AT_DESIGN_TIME, TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeanNameELResolver(BeanNameResolver beanNameResolver)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Class<?>` | `getCommonPropertyType(ELContext context, java.lang.Object base)`
    `java.util.Iterator<java.beans.FeatureDescriptor>` | `getFeatureDescriptors(ELContext context, java.lang.Object base)`
    `java.lang.Class<?>` | `getType(ELContext context, java.lang.Object base, java.lang.Object property)`
    `java.lang.Object` | `getValue(ELContext context, java.lang.Object base, java.lang.Object property)`
    `boolean` | `isReadOnly(ELContext context, java.lang.Object base, java.lang.Object property)`
    `void` | `setValue(ELContext context, java.lang.Object base, java.lang.Object property, java.lang.Object value)`

    - ### Methods inherited from class javax.el.ELResolver

      `convertToType, invoke`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BeanNameELResolver

          public BeanNameELResolver(BeanNameResolver beanNameResolver)

  - ### Method Detail

    - #### getValue

          public java.lang.Object getValue(ELContext context,
                                  java.lang.Object base,
                                  java.lang.Object property)

      Specified by:
        `getValue` in class `ELResolver`
      Parameters:
        `context` - The EL context for this evaluation
        `base` - The base object on which the property is to be found
        `property` - The property whose value is to be returned
      Returns:
        the value of the provided property

    - #### setValue

          public void setValue(ELContext context,
                      java.lang.Object base,
                      java.lang.Object property,
                      java.lang.Object value)

      Specified by:
        `setValue` in class `ELResolver`
      Parameters:
        `context` - The EL context for this evaluation
        `base` - The base object on which the property is to be found
        `property` - The property whose value is to be set
        `value` - The value to set the property to

    - #### getType

          public java.lang.Class<?> getType(ELContext context,
                                   java.lang.Object base,
                                   java.lang.Object property)

      Specified by:
        `getType` in class `ELResolver`
      Parameters:
        `context` - The EL context for this evaluation
        `base` - The base object on which the property is to be found
        `property` - The property whose type is to be returned
      Returns:
        the type of the provided property

    - #### isReadOnly

          public boolean isReadOnly(ELContext context,
                           java.lang.Object base,
                           java.lang.Object property)

      Specified by:
        `isReadOnly` in class `ELResolver`
      Parameters:
        `context` - The EL context for this evaluation
        `base` - The base object on which the property is to be found
        `property` - The property to be checked for read only status
      Returns:
        `true` if the identified property is read only, otherwise `false`

    - #### getFeatureDescriptors

          public java.util.Iterator<java.beans.FeatureDescriptor> getFeatureDescriptors(ELContext context,
                                                                               java.lang.Object base)

      Specified by:
        `getFeatureDescriptors` in class `ELResolver`

    - #### getCommonPropertyType

          public java.lang.Class<?> getCommonPropertyType(ELContext context,
                                                 java.lang.Object base)

      Specified by:
        `getCommonPropertyType` in class `ELResolver`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.